import '//resources/cr_elements/cr_icon_button/cr_icon_button.js';
import type { CrIconButtonElement } from '//resources/cr_elements/cr_icon_button/cr_icon_button.js';
import { CrLitElement } from '//resources/lit/v3_0/lit.rollup.js';
import type { PropertyValues } from '//resources/lit/v3_0/lit.rollup.js';
import type { ContentSettingImageState } from '/shared/toolbar_ui_api_data_model.mojom-webui.js';
export interface ContentSettingIconElement {
    $: {
        button: CrIconButtonElement;
        label: HTMLElement;
    };
}
export declare class ContentSettingIconElement extends CrLitElement {
    static get is(): string;
    static get styles(): import("//resources/lit/v3_0/lit.rollup.js").CSSResultGroup;
    render(): import("//resources/lit/v3_0/lit.rollup.js").TemplateResult<1>;
    static get properties(): {
        state: {
            type: ObjectConstructor;
        };
        animating: {
            type: BooleanConstructor;
            reflect: boolean;
        };
    };
    accessor state: ContentSettingImageState;
    protected accessor animating: boolean;
    private browserProxy_;
    willUpdate(changedProperties: PropertyValues<this>): void;
    protected onLabelAnimationend_(): void;
    protected getIconClass_(): string;
    protected getAriaLabel_(): string;
    protected showContentSettingsBubble_(): void;
    protected onClick_(): void;
    protected onAuxclick_(): void;
    protected onContextmenu_(): void;
    protected onPointerenter_(): void;
    protected onPointerleave_(): void;
    protected onPointercancel_(): void;
}
declare global {
    interface HTMLElementTagNameMap {
        'content-setting-icon': ContentSettingIconElement;
    }
}
